## python-docx-template 0.15.2+dfsg

=== debian/changelog ===
python-docx-template (0.15.2+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream version 0.15.2+dfsg

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Fri, 14 Jan 2022 10:03:45 -0500

python-docx-template (0.15.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1003262)

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Jan 2022 03:08:02 -0500

## python-docx-template 0.16.4+dfsg

=== debian/changelog ===
python-docx-template (0.16.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.4+dfsg
  * Describe fix-runtests.patch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 18 Aug 2022 01:50:49 -0400

python-docx-template (0.16.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.3+dfsg

 -- Andrius Merkys <merkys@debian.org>  Tue, 19 Jul 2022 02:20:09 -0400

python-docx-template (0.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.0+dfsg
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 20 Apr 2022 03:00:47 -0400

## python-docx-template 0.16.5+dfsg

=== requirements.txt ===
six
python-docx
docxcompose
jinja2
lxml

=== debian/changelog ===
python-docx-template (0.16.5+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.5+dfsg
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 Jan 2023 06:02:37 -0500

=== debian/control ===
Source: python-docx-template
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 netpbm <!nocheck>,
 python3-all,
 python3-docxcompose <!nocheck>,
 python3-jinja2 <!nocheck>,
 python3-setuptools,
 qrencode <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/elapouya/python-docx-template
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docx-template
Vcs-Git: https://salsa.debian.org/python-team/packages/python-docx-template.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-docxtpl
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python DOCX template engine
 python-docx-template has been created because python-docx is powerful for
 creating documents but not for modifying them.
 .
 The idea is to begin to create an example of the document one wants to generate
 with any DOCX WYSIWYG editor. It can be as complex as one wants: pictures,
 index tables, footer, header, variables. Then, as one is still editing the
 document, one inserts jinja2-like tags directly in the document. This becomes a
 DOCX template file.
 .
 This package installs the library for Python 3.

## python-docx-template 0.16.7%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docxtpl

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test: debian/test.jpg debian/test.png
	cp debian/test.png tests/templates/dummy_pic_for_header.png
	cp debian/test.png tests/templates/python_logo.png
	cp debian/test.png tests/templates/django.png
	cp debian/test.png tests/templates/python.png
	cp debian/test.png tests/templates/zope.png
	cp debian/test.png tests/templates/bottle.png
	cp debian/test.png tests/templates/tornado.png
	cp debian/test.png tests/templates/pyramid.png
	cp debian/test.jpg tests/templates/python_jpeg.jpg
	cd tests && PYTHONPATH=$$(find ../.pybuild -name build 2>/dev/null | xargs echo | tr ' ' :) python3 runtests.py

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docxtpl.egg-info tests/output

debian/test.jpg: debian/test.png
	pngtopnm $< | pnmtojpeg > $@

debian/test.png:
	qrencode --output $@ TEST

=== debian/tests/control ===
Test-Command: make -f debian/rules override_dh_auto_test
Restrictions:
 rw-build-tree,
Depends:
 netpbm,
 qrencode,
 @,

## python-docx-template 0.16.7+dfsg

=== debian/changelog ===
python-docx-template (0.16.7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.7+dfsg
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 14 Jun 2023 09:44:27 -0400

python-docx-template (0.16.6+dfsg-1) experimental; urgency=medium

  * New upstream version 0.16.6+dfsg
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 14 Apr 2023 04:28:07 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-jinja2 <!nocheck>,
  python3-setuptools,
  qrencode <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/elapouya/python-docx-template
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-docx-template
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-docx-template.git

## python-docx-template 0.18.0+dfsg

=== debian/changelog ===
python-docx-template (0.18.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.18.0+dfsg
  * Refresh patch
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 30 Jul 2024 23:15:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=docxtpl
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test: debian/test.jpg debian/test.png
 	cp debian/test.png tests/templates/dummy_pic_for_header.png

## python-docx-template 0.19.1+dfsg

=== debian/changelog ===
python-docx-template (0.19.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.1+dfsg

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Jan 2025 02:39:07 -0500

python-docx-template (0.19.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Thu, 21 Nov 2024 02:47:34 -0500

## python-docx-template 0.20.0%2Bdfsg

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/elapouya/python-docx-template/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-docx-template 0.20.0+dfsg

=== requirements.txt ===
python-docx
docxcompose
jinja2
lxml

=== debian/changelog ===
python-docx-template (0.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.20.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 May 2025 04:56:37 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=docxtpl
+export PYBUILD_NAME = docxtpl
 
 %:
-	dh $@ --buildsystem=pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_test: debian/test.jpg debian/test.png
 	cp debian/test.png tests/templates/dummy_pic_for_header.png
@@ -17,8 +17,7 @@
 	cp debian/test.jpg tests/templates/python_jpeg.jpg
 	cd tests && PYTHONPATH=$$(find ../.pybuild -name build 2>/dev/null | xargs echo | tr ' ' :) python3 runtests.py
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf docxtpl.egg-info tests/output
 
 debian/test.jpg: debian/test.png

## python-docx-template 0.20.1+dfsg

=== requirements.txt ===
python-docx
docxcompose
jinja2
lxml
sphinx-book-theme

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-docx-template.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-docx-template.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-docx-template"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-docx-template"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-docx-template (0.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.20.1+dfsg

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Sep 2025 08:27:35 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  netpbm <!nocheck>,
  python3-all,
  python3-docxcompose <!nocheck>,

## python-docx-template 0.20.2+dfsg

=== debian/changelog ===
python-docx-template (0.20.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.20.2+dfsg

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Nov 2025 03:56:50 -0500

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Package: python3-docxtpl
 Architecture: all
 Depends:
+ python3-docxcompose,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python DOCX template engine
